org.apache.catalina.ha

## Interface ClusterMessage

- All Superinterfaces:
    Serializable
  All Known Subinterfaces:
    SessionMessage
  All Known Implementing Classes:
    ClusterMessageBase, FileMessage, SessionIDMessage, SessionMessageImpl, UndeployMessage

      public interface ClusterMessage
      extends Serializable

  Author:
    Filip Hanik

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Member` | `getAddress()`
    `long` | `getTimestamp()`
    `String` | `getUniqueId()`
    `void` | `setAddress(Member member)`
    `void` | `setTimestamp(long timestamp)`
    `void` | `setUniqueId(String id)`

- - ### Method Detail

    - #### getAddress

          Member getAddress()

    - #### setAddress

          void setAddress(Member member)

    - #### getUniqueId

          String getUniqueId()

    - #### setUniqueId

          void setUniqueId(String id)

    - #### getTimestamp

          long getTimestamp()

    - #### setTimestamp

          void setTimestamp(long timestamp)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.